summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2008-07-16 11:11:32 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2008-07-16 11:11:32 +0200
commita2653c7a584683e80cbca036dd3b0e024232e1a5 (patch)
treedb61bb8b95abd5c760b43bd2a0dc36ef7a9aaceb /dev-cpp
downloaddev-zero-a2653c7a584683e80cbca036dd3b0e024232e1a5.tar.gz
dev-zero-a2653c7a584683e80cbca036dd3b0e024232e1a5.tar.bz2
dev-zero-a2653c7a584683e80cbca036dd3b0e024232e1a5.zip
Added my dev-cpp packages
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/bakery/ChangeLog35
-rw-r--r--dev-cpp/bakery/Manifest4
-rw-r--r--dev-cpp/bakery/bakery-2.5.1.ebuild38
-rw-r--r--dev-cpp/bakery/metadata.xml18
-rw-r--r--dev-cpp/gflags/ChangeLog19
-rw-r--r--dev-cpp/gflags/Manifest4
-rw-r--r--dev-cpp/gflags/gflags-0.8.ebuild35
-rw-r--r--dev-cpp/gflags/metadata.xml12
-rw-r--r--dev-cpp/libbackend-elements/Manifest2
-rw-r--r--dev-cpp/libbackend-elements/libbackend-elements-1.6.0.ebuild73
-rw-r--r--dev-cpp/libcult/Manifest3
-rw-r--r--dev-cpp/libcult/files/1.4.0-missing_includes.patch95
-rw-r--r--dev-cpp/libcult/libcult-1.4.0.ebuild78
-rw-r--r--dev-cpp/libfrontend-elements/Manifest2
-rw-r--r--dev-cpp/libfrontend-elements/libfrontend-elements-1.1.0.ebuild71
-rw-r--r--dev-cpp/libgdamm/ChangeLog37
-rw-r--r--dev-cpp/libgdamm/Manifest4
-rw-r--r--dev-cpp/libgdamm/libgdamm-3.0.0.ebuild34
-rw-r--r--dev-cpp/libgdamm/metadata.xml5
l---------dev-cpp/libmxmlplus1
-rw-r--r--dev-cpp/libxmlpp/ChangeLog295
-rw-r--r--dev-cpp/libxmlpp/Manifest4
-rw-r--r--dev-cpp/libxmlpp/libxmlpp-2.23.1.ebuild42
-rw-r--r--dev-cpp/libxmlpp/metadata.xml5
-rw-r--r--dev-cpp/libxsd-frontend/Manifest2
-rw-r--r--dev-cpp/libxsd-frontend/libxsd-frontend-1.13.0.ebuild88
-rw-r--r--dev-cpp/xsd/Manifest4
-rw-r--r--dev-cpp/xsd/files/3.1.0-disable_examples.patch27
-rw-r--r--dev-cpp/xsd/files/3.1.0-disable_examples_and_tests.patch31
-rw-r--r--dev-cpp/xsd/xsd-3.1.0.ebuild97
30 files changed, 1165 insertions, 0 deletions
diff --git a/dev-cpp/bakery/ChangeLog b/dev-cpp/bakery/ChangeLog
new file mode 100644
index 0000000..7d0d1fe
--- /dev/null
+++ b/dev-cpp/bakery/ChangeLog
@@ -0,0 +1,35 @@
+# ChangeLog for dev-cpp/bakery
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/bakery/ChangeLog,v 1.7 2007/02/22 00:58:49 peper Exp $
+
+ 22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
+ Transition to Manifest2.
+
+*bakery-2.3.18 (02 May 2006)
+
+ 02 May 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ +bakery-2.3.18.ebuild:
+ Version bump from upstream
+
+*bakery-2.3.15-r1 (02 Jan 2006)
+
+ 02 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org>
+ +bakery-2.3.15-r1.ebuild:
+ Revbump to fix dependencies
+
+ 02 Jan 2006; Saleem Abdulrasool <compnerd@gentoo.org> metadata.xml:
+ Taking over this package, marking myself as maintainer
+
+ 14 Nov 2005; Luis Medinas <metalgod@gentoo.org> bakery-2.3.15.ebuild:
+ Marked Stable on amd64.
+
+ 06 Sep 2005; Luis Medinas <metalgod@gentoo.org> bakery-2.3.15.ebuild:
+ Added ~x86 keyword.
+
+*bakery-2.3.15 (02 Sep 2005)
+
+ 02 Sep 2005; Luis Medinas <metalgod@gentoo.org> +metadata.xml,
+ +bakery-2.3.15.ebuild:
+ New Package. Bakery is a C++ Framework for creating GNOME applications using
+ gtkmm.
+
diff --git a/dev-cpp/bakery/Manifest b/dev-cpp/bakery/Manifest
new file mode 100644
index 0000000..692abf0
--- /dev/null
+++ b/dev-cpp/bakery/Manifest
@@ -0,0 +1,4 @@
+DIST bakery-2.5.1.tar.bz2 1236180 RMD160 bb9e471989022c9e3a4eea16c1810d14c8106cad SHA1 af3b06f1e15ffa94789a4b3e41107f71a3da462f SHA256 3d6b3cc452959d1342f09827e8b249d65795f53ae06e65ec936aa5ba73ecba00
+EBUILD bakery-2.5.1.ebuild 847 RMD160 e36366133126a0a0f858588460c6f220f6c6562f SHA1 ec6e48b6a71a1ee2ee94e1817e0ee02e7ba07d39 SHA256 5e513a8ace016a3b340c2b11c650aaaa4fe92379d605e8af32b8a5492ab7f5ce
+MISC ChangeLog 1112 RMD160 e70fc6d18f4aeea3c7a0e6c9a4365cbce978472e SHA1 4ce56708e738644e7c0a3a3c0c2005a8d50a74d4 SHA256 14d3e3b5d0a6aa329fb55e9334cce887db92cffd1b109f46c84fdaacc20b3363
+MISC metadata.xml 703 RMD160 5f87c2cb7b1788f22b946b4846f1755af9a1cf73 SHA1 998ba917cb9d08616c523e9435a6597f66760d3a SHA256 51d8ae5ee815aa72cf7b30019f4a9540f810f9dcebda4b9e6af465784e4db818
diff --git a/dev-cpp/bakery/bakery-2.5.1.ebuild b/dev-cpp/bakery/bakery-2.5.1.ebuild
new file mode 100644
index 0000000..8b039d8
--- /dev/null
+++ b/dev-cpp/bakery/bakery-2.5.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit gnome2
+
+DESCRIPTION="A C++ Framework for creating GNOME applications using gtkmm."
+HOMEPAGE="http://bakery.sourceforge.net/"
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc examples"
+
+RDEPEND=">=dev-cpp/gtkmm-2.10
+ >=dev-cpp/gconfmm-2.6
+ >=dev-cpp/libglademm-2.4
+ >=dev-cpp/libxmlpp-2.23.1
+ >=dev-cpp/gnome-vfsmm-2.6"
+DEPEND="${RDEPEND}
+ >=dev-util/intltool-0.25
+ >=dev-util/pkgconfig-0.12"
+
+DOCS="AUTHORS ChangeLog INSTALL NEWS README"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ if ! use examples ; then
+ sed -i 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' Makefile.in || \
+ die "sed Makefile.in failed"
+ fi
+}
+
+src_install() {
+ gnome2_src_install
+ use doc && dohtml docs/*.html docs/reference/*.html
+}
diff --git a/dev-cpp/bakery/metadata.xml b/dev-cpp/bakery/metadata.xml
new file mode 100644
index 0000000..487a9a2
--- /dev/null
+++ b/dev-cpp/bakery/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome-mm</herd>
+<maintainer>
+<email>compnerd@gentoo.org</email>
+<name>Saleem Abdulrasool</name>
+</maintainer>
+<longdescription lang="en">
+Bakery is a C++ Application Framework for use with gtkmm.This application
+provides a Document/View architecture but it doesn't force you to use the whole
+architecture, can use XML as a document storage format, it provides default
+functionality, which can be easily customized, makes it easy to start developing
+GNOME applications, gives your application structure and contains a few utility
+classes.
+</longdescription>
+</pkgmetadata>
+
diff --git a/dev-cpp/gflags/ChangeLog b/dev-cpp/gflags/ChangeLog
new file mode 100644
index 0000000..0d132ca
--- /dev/null
+++ b/dev-cpp/gflags/ChangeLog
@@ -0,0 +1,19 @@
+# ChangeLog for dev-cpp/gflags
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/gflags/ChangeLog,v 1.4 2008/03/10 12:11:19 antarus Exp $
+
+ 10 Mar 2008; Alec Warner <antarus@gentoo.org> gflags-0.7.ebuild:
+ distutils fix from dev-zero
+
+ 09 Mar 2008; Alec Warner <antarus@gentoo.org> gflags-0.7.ebuild:
+ remove mirror://, it was wrong anyway
+
+ 09 Mar 2008; Alec Warner <antarus@gentoo.org> gflags-0.7.ebuild:
+ Thanks to leio for pointing out I'm retarded and didn't specify an SRC_URI
+
+*gflags-0.7 (09 Mar 2008)
+
+ 09 Mar 2008; Alec Warner <antarus@gentoo.org> +metadata.xml,
+ +gflags-0.7.ebuild:
+ -m Initial import of gflags
+
diff --git a/dev-cpp/gflags/Manifest b/dev-cpp/gflags/Manifest
new file mode 100644
index 0000000..88011d0
--- /dev/null
+++ b/dev-cpp/gflags/Manifest
@@ -0,0 +1,4 @@
+DIST gflags-0.8.tar.gz 464330 RMD160 91c7c1ecc2bf695ec9ba97f321a920452bae1c98 SHA1 84a15ffe8882255c9de89cc868cfc72b4f0099f4 SHA256 1df3c0c6aba9e6cfeae9b11b6bee025ce10ef37523e055fc704b9720d66a168e
+EBUILD gflags-0.8.ebuild 819 RMD160 58776c12e0f6f61aa9dd5cbf9e5bdcec42bb6db0 SHA1 40ed865e98610d2f8f7f6baa450198d1c94f25e8 SHA256 a39bdf700b9aa774b7a96c0332575ff50e2baa25ac0f83699ee7a6fa447d25d4
+MISC ChangeLog 696 RMD160 e8fc7e5d80605d8f11252731cbeab3bf97843856 SHA1 7b268c9ff73a8e75ebfd6009877b0583a8481300 SHA256 b849066a2c8389329975264b013d9c213e8560f77d53b6460dfaf90a0da87a8f
+MISC metadata.xml 442 RMD160 5c38224ebcddd56ae9effa69559ee431ff63bdb4 SHA1 c3adc35c59d90c8712ed266be8eb2e36f53756ce SHA256 d75d4a39f2f4d2ae87be9fc5faafe6660bced0a093bb4dbc7db96addca0163dd
diff --git a/dev-cpp/gflags/gflags-0.8.ebuild b/dev-cpp/gflags/gflags-0.8.ebuild
new file mode 100644
index 0000000..46f0714
--- /dev/null
+++ b/dev-cpp/gflags/gflags-0.8.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/gflags/gflags-0.7.ebuild,v 1.4 2008/03/10 12:11:19 antarus Exp $
+
+inherit distutils
+
+DESCRIPTION="Google's C++ argument parsing library with python extensions."
+HOMEPAGE="http://code.google.com/p/google-gflags/"
+SRC_URI="http://google-gflags.googlecode.com/files/${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="python"
+
+DEPEND="python? ( dev-lang/python )"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "emake failed"
+ if use python;
+ then
+ cd python
+ distutils_src_compile
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ if use python;
+ then
+ cd python
+ distutils_src_install
+ fi
+}
diff --git a/dev-cpp/gflags/metadata.xml b/dev-cpp/gflags/metadata.xml
new file mode 100644
index 0000000..9d7ad22
--- /dev/null
+++ b/dev-cpp/gflags/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!--
+$Header: /var/cvsroot/gentoo-x86/dev-cpp/gflags/metadata.xml,v 1.1 2008/03/09 07:40:02 antarus Exp $
+-->
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>antarus@gentoo.org</email>
+ <description>I do stuff, also this is very well tested code and will not have many release.</description>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-cpp/libbackend-elements/Manifest b/dev-cpp/libbackend-elements/Manifest
new file mode 100644
index 0000000..75927d3
--- /dev/null
+++ b/dev-cpp/libbackend-elements/Manifest
@@ -0,0 +1,2 @@
+DIST libbackend-elements-1.6.0.tar.bz2 22392 RMD160 388914d54f65894334f8dc24d2de28b2a344be4d SHA1 eb96f5291b8cbad026442a95419269e5296dd381 SHA256 3631e1e1484136a171af9c82f235c994f13557a2ac95176a1f666da15947238e
+EBUILD libbackend-elements-1.6.0.ebuild 1713 RMD160 fa06e1e3e919d847787072c70bba9afb2468a921 SHA1 bfdf552bbc1b57cbb318265d9fb444f49714d214 SHA256 0a93026540631432fa5adcb3ab730110c9b028db19f411da0d4da870f0611db9
diff --git a/dev-cpp/libbackend-elements/libbackend-elements-1.6.0.ebuild b/dev-cpp/libbackend-elements/libbackend-elements-1.6.0.ebuild
new file mode 100644
index 0000000..2643f62
--- /dev/null
+++ b/dev-cpp/libbackend-elements/libbackend-elements-1.6.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs
+
+DESCRIPTION="A collection of elementary building blocks for implementing compiler backends in c++."
+HOMEPAGE="http://kolpackov.net/projects/libbackend-elements/"
+SRC_URI="ftp://kolpackov.net/pub/projects/${PN}/${PV%.?}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-cpp/libcult
+ dev-libs/boost"
+DEPEND="${RDEPEND}
+ dev-util/build"
+
+src_compile() {
+ mkdir -p build/{c,cxx/gnu,import/libboost,import/libcult}
+
+ cat >> build/c/configuration-lib-dynamic.make <<- EOF
+c_lib_type := shared
+ EOF
+
+ cat >> build/cxx/configuration-dynamic.make <<- EOF
+cxx_id := gnu
+cxx_optimize := n
+cxx_debug := n
+cxx_rpath := n
+cxx_pp_extra_options :=
+cxx_extra_options := ${CXXFLAGS}
+cxx_ld_extra_options := ${LDFLAGS}
+cxx_extra_libs :=
+cxx_extra_lib_paths :=
+ EOF
+
+ cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
+cxx_gnu := $(tc-getCXX)
+cxx_gnu_libraries :=
+cxx_gnu_optimization_options :=
+ EOF
+
+ cat >> build/import/libboost/configuration-dynamic.make <<- EOF
+libboost_installed := true
+ EOF
+
+ cat >> build/import/libcult/configuration-dynamic.make <<- EOF
+libcult_installed := true
+ EOF
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ find backend-elements -iname "*.cxx" \
+ -o -iname "makefile" \
+ -o -iname "*.o" -o -iname "*.d" \
+ -o -iname "*.m4" -o -iname "*.l" \
+ -o -iname "*.cpp-options" -o -iname "*.so" | xargs rm -f
+ rm -rf backend-elements/arch
+
+ insinto /usr/include
+ doins -r backend-elements
+
+ dodoc NEWS README
+ dohtml -A xhtml -r documentation/*
+}
+
+src_test() {
+ emake test || die "tests failed"
+}
diff --git a/dev-cpp/libcult/Manifest b/dev-cpp/libcult/Manifest
new file mode 100644
index 0000000..7addfa2
--- /dev/null
+++ b/dev-cpp/libcult/Manifest
@@ -0,0 +1,3 @@
+AUX 1.4.0-missing_includes.patch 3214 RMD160 989baafe516c164e357b2b29cd320ebe50a17d5a SHA1 9d70a589c0b1b62f82c6bdb7282b447f5b4687d6 SHA256 b8b6115d457602bde5c7fe0f7a0e8df182ea0461782a4c7408781c01cb28dcd8
+DIST libcult-1.4.0.tar.bz2 49533 RMD160 b0b14e7d6d5397c8d8b680ef54d63210b9f22ba1 SHA1 2a611475f5d5742b9da3c764a0aa2b393b545d89 SHA256 6986467aa0637058fcfb983ab0ff33a853d488e6f91a64bd7e7ebc169059d4af
+EBUILD libcult-1.4.0.ebuild 1645 RMD160 c250737494395528372d818e78fdffd8f40fd588 SHA1 bff43bca9f6aca072db798267cd9ff37475600cc SHA256 6ad4104e06917898b843133437fdbfacbd4b4f255a088dd3b9e0b181301933ba
diff --git a/dev-cpp/libcult/files/1.4.0-missing_includes.patch b/dev-cpp/libcult/files/1.4.0-missing_includes.patch
new file mode 100644
index 0000000..2844b06
--- /dev/null
+++ b/dev-cpp/libcult/files/1.4.0-missing_includes.patch
@@ -0,0 +1,95 @@
+diff -Naur libcult-1.4.0.orig/cult/cli/options-parser.hxx libcult-1.4.0/cult/cli/options-parser.hxx
+--- libcult-1.4.0.orig/cult/cli/options-parser.hxx 2008-05-20 11:01:00.000000000 +0200
++++ libcult-1.4.0/cult/cli/options-parser.hxx 2008-05-20 11:45:44.000000000 +0200
+@@ -137,7 +137,7 @@
+ virtual Void
+ operator() (Char const* o, Scanner& scan, Void* options)
+ {
+- typedef typename Spec::Options Options;
++ typedef typename Spec::SpecOptions Options;
+
+ Options& ops (*reinterpret_cast<Options*> (options));
+
+@@ -162,7 +162,7 @@
+ virtual Void
+ operator() (Char const* o, Scanner& scan, Void* options)
+ {
+- typedef typename Spec::Options Options;
++ typedef typename Spec::SpecOptions Options;
+
+ Options& ops (*reinterpret_cast<Options*> (options));
+
+@@ -187,7 +187,7 @@
+ }
+
+ static Void
+- set_default (typename Spec::Options&, Spec const&)
++ set_default (typename Spec::SpecOptions&, Spec const&)
+ {
+ }
+ };
+@@ -206,7 +206,7 @@
+ }
+
+ static Void
+- set_default (typename Spec::Options& o, Spec const& s)
++ set_default (typename Spec::SpecOptions& o, Spec const& s)
+ {
+ o.template value<k> () = s.template option<k> ().default_value ();
+ }
+@@ -300,12 +300,12 @@
+ }
+
+
+- typename Spec::Options
++ typename Spec::SpecOptions
+ parse (Scanner& scan,
+ UnknownMode::Value option_mode = UnknownMode::fail,
+ UnknownMode::Value argument_mode = UnknownMode::stop)
+ {
+- typename Spec::Options ops;
++ typename Spec::SpecOptions ops;
+
+ S_<typename Spec::o01>::set_default (ops, spec_);
+ S_<typename Spec::o02>::set_default (ops, spec_);
+@@ -476,7 +476,7 @@
+ //
+
+ template <typename Spec>
+- typename Spec::Options
++ typename Spec::SpecOptions
+ parse (Spec const& s,
+ Arguments& args,
+ UnknownMode::Value option_mode = UnknownMode::fail,
+@@ -499,7 +499,7 @@
+ }
+
+ template <typename Spec>
+- typename Spec::Options
++ typename Spec::SpecOptions
+ parse (Spec const& s,
+ Int& argc,
+ Char** argv,
+diff -Naur libcult-1.4.0.orig/cult/cli/options-spec.hxx libcult-1.4.0/cult/cli/options-spec.hxx
+--- libcult-1.4.0.orig/cult/cli/options-spec.hxx 2008-05-20 11:01:00.000000000 +0200
++++ libcult-1.4.0/cult/cli/options-spec.hxx 2008-05-20 11:38:40.000000000 +0200
+@@ -319,7 +319,7 @@
+ k77, T77,
+ k78, T78,
+ k79, T79,
+- k80, T80> Options;
++ k80, T80> SpecOptions;
+
+ typedef typename OptionSpecType<k01, T01>::Type o01;
+ typedef typename OptionSpecType<k02, T02>::Type o02;
+diff -Naur libcult-1.4.0.orig/cult/trace/record.hxx libcult-1.4.0/cult/trace/record.hxx
+--- libcult-1.4.0.orig/cult/trace/record.hxx 2008-05-20 11:01:00.000000000 +0200
++++ libcult-1.4.0/cult/trace/record.hxx 2008-05-20 11:26:18.000000000 +0200
+@@ -8,6 +8,7 @@
+
+ #include <cult/types/fundamental.hxx>
+
++#include <cstring>
+ #include <ostream>
+ #include <streambuf>
+
diff --git a/dev-cpp/libcult/libcult-1.4.0.ebuild b/dev-cpp/libcult/libcult-1.4.0.ebuild
new file mode 100644
index 0000000..15ad971
--- /dev/null
+++ b/dev-cpp/libcult/libcult-1.4.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A collection of C++ libraries"
+HOMEPAGE="http://kolpackov.net/projects/libcult/"
+SRC_URI="ftp://kolpackov.net/pub/projects/${PN}/${PV%.?}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+DEPEND="dev-util/build"
+RDEPEND=""
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${PV}-missing_includes.patch"
+}
+
+src_compile() {
+ mkdir -p build/{c,cxx/gnu}
+
+ cat >> build/c/configuration-lib-dynamic.make <<- EOF
+c_lib_type := shared
+ EOF
+
+ cat >> build/configuration-dynamic.make <<- EOF
+cult_dr := y
+cult_threads := y
+cult_network := y
+ EOF
+
+ cat >> build/cxx/configuration-dynamic.make <<- EOF
+cxx_id := gnu
+cxx_optimize := n
+cxx_debug := n
+cxx_rpath := n
+cxx_pp_extra_options :=
+cxx_extra_options := ${CXXFLAGS}
+cxx_ld_extra_options := ${LDFLAGS}
+cxx_extra_libs :=
+cxx_extra_lib_paths :=
+ EOF
+
+ cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
+cxx_gnu := $(tc-getCXX)
+cxx_gnu_libraries :=
+cxx_gnu_optimization_options :=
+ EOF
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ dolib.so cult/libcult.so
+
+ find cult -iname "*.cxx" \
+ -o -iname "makefile" \
+ -o -iname "*.o" -o -iname "*.d" \
+ -o -iname "*.m4" -o -iname "*.l" \
+ -o -iname "*.cpp-options" -o -iname "*.so" | xargs rm -f
+ rm -rf cult/arch
+
+ insinto /usr/include
+ doins -r cult
+
+ dodoc NEWS README
+ dohtml -A xhtml -r documentation/*
+
+ if use examples ; then
+ # preserving symlinks in the examples
+ cp -dpR examples "${D}/usr/share/doc/${PF}"
+ fi
+}
diff --git a/dev-cpp/libfrontend-elements/Manifest b/dev-cpp/libfrontend-elements/Manifest
new file mode 100644
index 0000000..647d585
--- /dev/null
+++ b/dev-cpp/libfrontend-elements/Manifest
@@ -0,0 +1,2 @@
+DIST libfrontend-elements-1.1.0.tar.bz2 17147 RMD160 5855ca12141a1048a587a1bb3778fa4b3b0aa976 SHA1 b0ad62680182759c7281fc123d2cce203010e485 SHA256 d26590da06abc7f437cf70d77900171d99e7719e68e1bc43bb4e81cc89b548d5
+EBUILD libfrontend-elements-1.1.0.ebuild 1679 RMD160 08174b3eb9bc5c151f65143e1ab06e37fd4a2a4c SHA1 546f5a0aa69ca36b455b3ce2f6548b38c43b0bdf SHA256 09a0e2cd8568c967dcecc60c1dc6dad018e9610d0f0b7a74d0e6a2aa53ea6748
diff --git a/dev-cpp/libfrontend-elements/libfrontend-elements-1.1.0.ebuild b/dev-cpp/libfrontend-elements/libfrontend-elements-1.1.0.ebuild
new file mode 100644
index 0000000..2852e42
--- /dev/null
+++ b/dev-cpp/libfrontend-elements/libfrontend-elements-1.1.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs
+
+DESCRIPTION="A collection of elementary building blocks for implementing compiler frontends in c++."
+HOMEPAGE="http://kolpackov.net/projects/libfrontend-elements/"
+SRC_URI="ftp://kolpackov.net/pub/projects/${PN}/${PV%.?}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+RDEPEND="dev-cpp/libcult"
+DEPEND="${RDEPEND}
+ dev-util/build"
+
+src_compile() {
+ mkdir -p build/{c,cxx/gnu,import/libcult}
+
+ cat >> build/c/configuration-lib-dynamic.make <<- EOF
+c_lib_type := shared
+ EOF
+
+ cat >> build/cxx/configuration-dynamic.make <<- EOF
+cxx_id := gnu
+cxx_optimize := n
+cxx_debug := n
+cxx_rpath := n
+cxx_pp_extra_options :=
+cxx_extra_options := ${CXXFLAGS}
+cxx_ld_extra_options := ${LDFLAGS}
+cxx_extra_libs :=
+cxx_extra_lib_paths :=
+ EOF
+
+ cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
+cxx_gnu := $(tc-getCXX)
+cxx_gnu_libraries :=
+cxx_gnu_optimization_options :=
+ EOF
+
+ cat >> build/import/libcult/configuration-dynamic.make <<- EOF
+libcult_installed := true
+ EOF
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ dolib.so frontend-elements/libfrontend-elements.so
+
+ find frontend-elements -iname "*.cxx" \
+ -o -iname "makefile" \
+ -o -iname "*.o" -o -iname "*.d" \
+ -o -iname "*.m4" -o -iname "*.l" \
+ -o -iname "*.cpp-options" -o -iname "*.so" | xargs rm -f
+ rm -rf frontend-elements/arch
+
+ insinto /usr/include
+ doins -r frontend-elements
+
+ dodoc NEWS README
+ dohtml -A xhtml -r documentation/*
+
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/dev-cpp/libgdamm/ChangeLog b/dev-cpp/libgdamm/ChangeLog
new file mode 100644
index 0000000..2d04681
--- /dev/null
+++ b/dev-cpp/libgdamm/ChangeLog
@@ -0,0 +1,37 @@
+# ChangeLog for dev-cpp/libgdamm
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/libgdamm/ChangeLog,v 1.9 2008/04/12 12:10:32 remi Exp $
+
+ 12 Apr 2008; Rémi Cardona <remi@gentoo.org> libgdamm-1.3.7.ebuild:
+ Add missing pkgconfig dep (fixes bug #206034)
+
+ 02 Dec 2007; Samuli Suominen <drac@gentoo.org> libgdamm-1.3.7.ebuild:
+ Keyword ~amd64 wrt #200723.
+
+ 29 Sep 2007; Mart Raudsepp <leio@gentoo.org> -libgdamm-1.3.6.ebuild:
+ Removing redundant version
+
+ 24 Jun 2007; Gilles Dartiguelongue <eva@gentoo.org> libgdamm-1.3.6.ebuild,
+ libgdamm-1.3.7.ebuild:
+ Preparing for lib{gda,gnomedb} 3.0, fixing dependencies (bug #172106)
+
+ 09 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> ChangeLog:
+ Regenerate digest in Manifest2 format.
+
+ 27 Oct 2005; Jason Wever <weeve@gentoo.org> libgdamm-1.3.7.ebuild:
+ Added ~sparc keyword.
+
+*libgdamm-1.3.7 (21 Oct 2005)
+
+ 21 Oct 2005; Aaron Walker <ka0ttic@gentoo.org> +libgdamm-1.3.7.ebuild:
+ Version bump.
+
+ 22 Jul 2005; David Holm <dholm@gentoo.org> libgdamm-1.3.6.ebuild:
+ Added to ~ppc.
+
+*libgdamm-1.3.6 (21 Jul 2005)
+
+ 21 Jul 2005; Aaron Walker <ka0ttic@gentoo.org> +metadata.xml,
+ +libgdamm-1.3.6.ebuild:
+ Initial commit for bug 63819.
+
diff --git a/dev-cpp/libgdamm/Manifest b/dev-cpp/libgdamm/Manifest
new file mode 100644
index 0000000..41ffe52
--- /dev/null
+++ b/dev-cpp/libgdamm/Manifest
@@ -0,0 +1,4 @@
+DIST libgdamm-3.0.0.tar.bz2 2500553 RMD160 5255aa5bfbffb2b6436de382a8908ca00cdd7b5c SHA1 dfa1883e95686d54d13225b7b070c90ad7c1e029 SHA256 32896ebbe9c98714c0e2fdbc6a6a4e6567f065319e4c726cedfc8ef7acd769f5
+EBUILD libgdamm-3.0.0.ebuild 764 RMD160 b35e789e962620d3d1fbc57f33e78d2ea4ce3ff2 SHA1 614c2b9e158ad488f290231233a56eed8306b91f SHA256 82100cf8a822b6af233c81c06bff1cee9776c2866d55374309246215b1b9f14a
+MISC ChangeLog 1262 RMD160 b382ccfc8f61ee2568f00fdbd32b4338732efad0 SHA1 44c937c7a071e1b0c446096d77ebdc44660a7a4c SHA256 6cf57480ce0b4dd4b10bff7dbf7bc7db8b584ff150cb77c93dd36440753a0592
+MISC metadata.xml 162 RMD160 e3b9e3d8ece920d890bf37c43a6bcd9757539556 SHA1 6ee3bb3e0cce43428124dfa192af30ddb055d95f SHA256 7d0ce82d5ca3b20cb1c4641c7b7aae7082fd6be059b85fab9699095fd965f2e9
diff --git a/dev-cpp/libgdamm/libgdamm-3.0.0.ebuild b/dev-cpp/libgdamm/libgdamm-3.0.0.ebuild
new file mode 100644
index 0000000..e653afb
--- /dev/null
+++ b/dev-cpp/libgdamm/libgdamm-3.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/libgdamm/libgdamm-1.3.7.ebuild,v 1.5 2008/04/12 12:10:32 remi Exp $
+
+inherit gnome2
+
+DESCRIPTION="C++ bindings for libgda"
+HOMEPAGE="http://gtkmm.sourceforge.net/"
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-cpp/glibmm-2.12.8
+ =gnome-extra/libgda-3*"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+DOCS="AUTHORS ChangeLog NEWS README TODO"
+
+src_compile() {
+ gnome2_src_compile
+
+ if use doc ; then
+ cd docs/reference
+ emake || die "failed to build API docs"
+ fi
+}
+
+src_install() {
+ gnome2_src_install
+ use doc && dohtml -r docs/reference/html/*
+}
diff --git a/dev-cpp/libgdamm/metadata.xml b/dev-cpp/libgdamm/metadata.xml
new file mode 100644
index 0000000..8fc59a3
--- /dev/null
+++ b/dev-cpp/libgdamm/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome-mm</herd>
+</pkgmetadata>
diff --git a/dev-cpp/libmxmlplus b/dev-cpp/libmxmlplus
new file mode 120000
index 0000000..af327b0
--- /dev/null
+++ b/dev-cpp/libmxmlplus
@@ -0,0 +1 @@
+/var/repositories/gentoo-x86/dev-cpp/libmxmlplus \ No newline at end of file
diff --git a/dev-cpp/libxmlpp/ChangeLog b/dev-cpp/libxmlpp/ChangeLog
new file mode 100644
index 0000000..336d97d
--- /dev/null
+++ b/dev-cpp/libxmlpp/ChangeLog
@@ -0,0 +1,295 @@
+# ChangeLog for dev-cpp/libxmlpp
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/libxmlpp/ChangeLog,v 1.67 2008/05/02 08:52:24 remi Exp $
+
+ 02 May 2008; Rémi Cardona <remi@gentoo.org>
+ +files/libxmlpp-1.0.5-gcc43.patch, libxmlpp-1.0.5.ebuild:
+ gcc 4.3 build fix, see bug #218779
+
+ 12 Apr 2008; Rémi Cardona <remi@gentoo.org> Manifest:
+ fix manifest, bug #215451
+
+*libxmlpp-2.22.0 (11 Apr 2008)
+
+ 11 Apr 2008; Rémi Cardona <remi@gentoo.org> +libxmlpp-2.22.0.ebuild:
+ Bump to 2.22.0, fix leak and fix for gcc 4.3
+
+ 27 Mar 2008; Jeroen Roovers <jer@gentoo.org> libxmlpp-1.0.5.ebuild:
+ Marked ~hppa (bug #214356).
+
+ 23 Mar 2008; Raúl Porcel <armin76@gentoo.org> libxmlpp-1.0.5.ebuild:
+ Add ~alpha/~ia64 wrt #214356
+
+ 23 Mar 2008; Brent Baude <ranger@gentoo.org> libxmlpp-1.0.4-r2.ebuild:
+ keyworded ~arch for ppc64, bug 214356
+
+*libxmlpp-2.20.0-r1 (30 Oct 2007)
+
+ 30 Oct 2007; Rémi Cardona <remi@gentoo.org> -libxmlpp-2.20.0.ebuild,
+ +libxmlpp-2.20.0-r1.ebuild:
+ remove sed command on .pc file, upstream file is correct (fixes Gentoo bug
+ #197302 and Gnome bug #491191)
+
+*libxmlpp-2.20.0 (14 Oct 2007)
+
+ 14 Oct 2007; Gilles Dartiguelongue <eva@gentoo.org>
+ libxmlpp-2.12.0.ebuild, libxmlpp-2.13.1.ebuild, +libxmlpp-2.20.0.ebuild:
+ fix QA warnings and bump to 2.20.0
+
+ 05 Oct 2007; Tom Gall <tgall@gentoo.org>
+ libxmlpp-2.13.1.ebuild:
+ added ~ppc64
+
+ 27 Sep 2007; Mart Raudsepp <leio@gentoo.org>
+ -files/libxmlpp-2.8.0-fix-errant-semicolon.diff,
+ -files/libxmlpp-2.8.0-use-correct-callback.diff,
+ -files/libxmlpp-2.10.0-use-correct-callback.diff, -libxmlpp-0.27.0.ebuild,
+ -libxmlpp-1.0.2.ebuild, -libxmlpp-2.8.0-r2.ebuild,
+ -libxmlpp-2.10.0-r1.ebuild:
+ Remove redundant versions
+
+ 28 Aug 2007; Jeroen Roovers <jer@gentoo.org> libxmlpp-2.13.1.ebuild:
+ Stable for HPPA (bug #188838).
+
+ 28 Aug 2007; nixnut <nixnut@gentoo.org> libxmlpp-2.13.1.ebuild:
+ Stable on ppc wrt bug 188838
+
+ 27 Aug 2007; Christoph Mende <angelos@gentoo.org> libxmlpp-2.13.1.ebuild:
+ Stable on amd64 wrt bug #188838
+
+ 27 Aug 2007; Raúl Porcel <armin76@gentoo.org> libxmlpp-2.13.1.ebuild:
+ alpha stable wrt #188838
+
+ 21 Aug 2007; Markus Ullmann <jokey@gentoo.org> libxmlpp-2.13.1.ebuild:
+ Stable on x86 wrt bug #188838
+
+ 14 Aug 2007; Gustavo Zacarias <gustavoz@gentoo.org>
+ libxmlpp-2.13.1.ebuild:
+ Stable on sparc
+
+ 19 Mar 2007; Bryan Østergaard <kloeri@gentoo.org> metadata.xml:
+ Remove ka0ttic from metadata.xml due to retirement.
+
+ 22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
+ Transition to Manifest2.
+
+*libxmlpp-2.13.1 (07 Sep 2006)
+
+ 07 Sep 2006; Daniel Gryniewicz <dang@gentoo.org> +libxmlpp-2.13.1.ebuild:
+ New version for gnome 2.16
+
+ 17 Jul 2006; Daniel Gryniewicz <dang@gentoo.org> ChangeLog:
+ Marked stable on amd64 for bug #139612
+
+ 16 Jul 2006; Tobias Scherbaum <dertobi123@gentoo.org>
+ libxmlpp-2.12.0.ebuild:
+ hppa stable, bug #139612
+
+ 04 Feb 2006; Aron Griffis <agriffis@gentoo.org> libxmlpp-2.12.0.ebuild:
+ Mark 2.12.0 stable on alpha
+
+ 22 Jan 2006; <dang@gentoo.org> libxmlpp-2.12.0.ebuild:
+ Marked stable on amd64 per bug #119634
+
+ 22 Jan 2006; Tobias Scherbaum <dertobi123@gentoo.org>
+ libxmlpp-2.12.0.ebuild:
+ Marked ppc stable for bug #119634; Stabilize Gnome-2.12.2
+
+ 22 Jan 2006; Joshua Jackson <tsunam@gentoo.org> libxmlpp-2.12.0.ebuild:
+ Stable on x86 for bug #119634; Stabilize Gnome-2.12.2
+
+ 20 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org>
+ libxmlpp-2.12.0.ebuild:
+ Stable on sparc wrt #119634
+
+*libxmlpp-1.0.5 (30 Sep 2005)
+
+ 30 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> +libxmlpp-1.0.5.ebuild:
+ Version bump for the 1.0.x slot.
+
+ 19 Sep 2005; Marcus D. Hanwell <cryos@gentoo.org>
+ libxmlpp-2.10.0-r1.ebuild:
+ Stable on amd64.
+
+ 10 Sep 2005; Aron Griffis <agriffis@gentoo.org> libxmlpp-2.10.0-r1.ebuild:
+ Mark 2.10.0-r1 stable on alpha
+
+*libxmlpp-2.12.0 (09 Sep 2005)
+
+ 09 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> -libxmlpp-2.11.0.ebuild,
+ +libxmlpp-2.12.0.ebuild:
+ Version bump; removed 2.11.0.
+
+*libxmlpp-2.11.0 (25 Aug 2005)
+
+ 25 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> +libxmlpp-2.11.0.ebuild:
+ Version bump.
+
+ 08 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> libxmlpp-2.8.0-r2.ebuild,
+ libxmlpp-2.10.0-r1.ebuild:
+ Remove unnecessary doxygen dep.
+
+ 07 Jul 2005; Ilya A. Volynets-Evenbach <iluxa@gentoo.org>
+ libxmlpp-2.10.0-r1.ebuild:
+ add ~mips to keywords
+
+ 03 Jul 2005; Michael Hanselmann <hansmi@gentoo.org>
+ libxmlpp-2.10.0-r1.ebuild:
+ Stable on ppc.
+
+ 28 Jun 2005; Gustavo Zacarias <gustavoz@gentoo.org>
+ libxmlpp-2.10.0-r1.ebuild:
+ Stable on sparc
+
+ 28 Jun 2005; Aaron Walker <ka0ttic@gentoo.org> libxmlpp-2.10.0-r1.ebuild:
+ Stable on x86.
+
+*libxmlpp-2.8.0-r2 (07 Jun 2005)
+
+ 07 Jun 2005; Aaron Walker <ka0ttic@gentoo.org>
+ +files/libxmlpp-2.8.0-fix-errant-semicolon.diff,
+ -libxmlpp-2.8.0-r1.ebuild, +libxmlpp-2.8.0-r2.ebuild:
+ Revision bump; added patch to fix errant semicolon for bug 95323.
+
+ 04 Jun 2005; Tobias Scherbaum <dertobi123@gentoo.org>
+ libxmlpp-2.8.0-r1.ebuild:
+ Stable on ppc.
+
+ 14 May 2005; Bryan Østergaard <kloeri@gentoo.org>
+ libxmlpp-2.10.0-r1.ebuild:
+ ~alpha keyword needed for herdstat.
+
+ 08 May 2005; Marcus D. Hanwell <cryos@gentoo.org>
+ libxmlpp-2.8.0-r1.ebuild:
+ Stable on amd64.
+
+ 04 May 2005; Gustavo Zacarias <gustavoz@gentoo.org>
+ libxmlpp-2.8.0-r1.ebuild:
+ Stable on sparc
+
+ 04 May 2005; Guy Martin <gmsoft@gentoo.org> libxmlpp-2.10.0-r1.ebuild:
+ Stamped ~hppa.
+
+ 04 May 2005; Aaron Walker <ka0ttic@gentoo.org> -libxmlpp-1.0.4.ebuild,
+ -libxmlpp-1.0.4-r1.ebuild, libxmlpp-2.8.0-r1.ebuild:
+ Marked 2.8.0-r1 stable on x86; Tidy old ebuilds.
+
+ 01 May 2005; Michael Hanselmann <hansmi@gentoo.org>
+ libxmlpp-1.0.4-r2.ebuild:
+ Stable on ppc.
+
+*libxmlpp-2.10.0-r1 (27 Apr 2005)
+*libxmlpp-2.8.0-r1 (27 Apr 2005)
+
+ 27 Apr 2005; Aaron Walker <ka0ttic@gentoo.org>
+ +files/libxmlpp-2.8.0-use-correct-callback.diff,
+ files/libxmlpp-2.10.0-use-correct-callback.diff, -libxmlpp-2.8.0.ebuild,
+ +libxmlpp-2.8.0-r1.ebuild, -libxmlpp-2.10.0.ebuild,
+ +libxmlpp-2.10.0-r1.ebuild:
+ Dual revision bumps; fix 2.10.0 patch and added a counterpart patch for
+ 2.8.0 since it suffers from the same bug.
+
+*libxmlpp-2.10.0 (23 Apr 2005)
+
+ 23 Apr 2005; Aaron Walker <ka0ttic@gentoo.org>
+ -files/libxmlpp-1.0.4-pc.patch,
+ +files/libxmlpp-2.10.0-use-correct-callback.diff, metadata.xml,
+ libxmlpp-1.0.2.ebuild, libxmlpp-1.0.4.ebuild, libxmlpp-1.0.4-r1.ebuild,
+ libxmlpp-1.0.4-r2.ebuild, libxmlpp-2.8.0.ebuild, +libxmlpp-2.10.0.ebuild:
+ Version bump for bug 89694; added dosed to all src_installs correcting
+ cflags in pkgconfig file for bug 83794.
+
+ 01 Apr 2005; Simon Stelling <blubb@gentoo.org> libxmlpp-1.0.4-r2.ebuild:
+ stable on amd64
+
+*libxmlpp-1.0.4-r2 (10 Mar 2005)
+
+ 10 Mar 2005; Eric Shattow <jnc@gentoo.org> +files/libxmlpp-1.0.4-pc.patch,
+ +libxmlpp-1.0.4-r2.ebuild:
+ modified patch from mrbones. closes #83794.
+
+*libxmlpp-1.0.4-r1 (07 Mar 2005)
+
+ 07 Mar 2005; Eric Shattow <jnc@gentoo.org> +libxmlpp-1.0.4-r1.ebuild:
+ Kill 'elibtoolize' statement which caused bogus lib filename output.
+
+ 05 Mar 2005; Gustavo Zacarias <gustavoz@gentoo.org> libxmlpp-1.0.4.ebuild:
+ Stable on sparc
+
+ 24 Feb 2005; Joe McCann <joem@gentoo.org> libxmlpp-2.8.0.ebuild:
+ Build api docs if use=doc. Thanks to ka0ttic@gentoo.org on bug 82797
+
+ 24 Feb 2005; Joe McCann <joem@gentoo.org> libxmlpp-1.0.4.ebuild:
+ add pkgconfig dep, mark x86 stable. bug 82931
+
+*libxmlpp-1.0.4 (12 Nov 2004)
+*libxmlpp-2.8.0 (12 Nov 2004)
+
+ 12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ -libxmlpp-0.21.0.ebuild, -libxmlpp-0.25.0.ebuild, +libxmlpp-1.0.4.ebuild,
+ +libxmlpp-2.8.0.ebuild:
+ Version bump galore closes bug #51719.
+
+ 12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ libxmlpp-1.0.2.ebuild:
+ Stable amd64, sparc, x86.
+
+ 23 Oct 2004; Jason Wever <weeve@gentoo.org> libxmlpp-0.27.0.ebuild:
+ Stable on sparc.
+
+ 15 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ libxmlpp-1.0.2.ebuild:
+ Added ~amd64.
+
+ 12 Apr 2004; Daniel Ahlberg <aliz@gentoo.org> libxmlpp-0.21.0.ebuild,
+ libxmlpp-0.25.0.ebuild:
+ Added IUSE=.
+
+ 03 Mar 2004; Mamoru KOMACHI <usata@gentoo.org> libxmlpp-0.21.0.ebuild,
+ libxmlpp-0.25.0.ebuild, libxmlpp-0.27.0.ebuild, metadata.xml:
+ Withdrew RESTRICT line and added metadata.xml with gnome as maintaining
+ herd. See bug #42079
+
+ 22 Feb 2004; Mike Gardiner <obz@gentoo.org> libxmlpp-0.21.0.ebuild,
+ libxmlpp-0.25.0.ebuild, libxmlpp-0.27.0.ebuild, libxmlpp-1.0.2.ebuild:
+ Reverted to SLOT='0'
+
+*libxmlpp-1.0.2 (22 Feb 2004)
+
+ 22 Feb 2004; Mamoru KOMACHI <usata@gentoo.org> libxmlpp-1.0.2.ebuild:
+ Version bumped and made new SLOT. Closing bug #42079
+
+ 29 Dec 2003; Martin Holzer <mholzer@gentoo.org> libxmlpp-0.21.0.ebuild,
+ libxmlpp-0.25.0.ebuild, libxmlpp-0.27.0.ebuild:
+ adding RESTRICT=nomirror
+
+*libxmlpp-0.27.0 (09 Nov 2003)
+
+ 09 Nov 2003; Alastair Tse <liquidx@gentoo.org> libxmlpp-0.27.0.ebuild:
+ version bump
+
+*libxmlpp-0.25.0 (03 Sep 2003)
+
+ 03 Sep 2003; Martin Holzer <mholzer@gentoo.org> libxmlpp-0.25.0.ebuild:
+ Version bumped.
+
+*libxmlpp-0.24.0 (19 Jun 2003)
+
+ 19 Jun 2003; Alastair Tse <liquidx@gentoo.org> libxmlpp-0.24.0.ebuild:
+ Moved package from dev-libs/libxml++ to dev-cpp/libxmlpp and version
+ bump
+
+ 06 Jun 2003; Jason Wever <weeve@gentoo.org> libxml++-0.21.0.ebuild:
+ Added ~sparc to keywords.
+
+*libxmlpp-0.21.0 (02 Mar 2003)
+
+ 03 Mar 2003; Graham Forest <vladimir@gentoo.org> libxml++-0.21.0.ebuild:
+ Added empty IUSE
+
+ 03 Mar 2003; Graham Forest <vladimir@gentoo.org> libxml++-0.21.0.ebuild:
+ Adressed mirror and symlink issues as suggested by Max Kalika
+ <max@lsit.ucsp.edu>
+
+ 02 Mar 2003; Graham Forest <vladimir@gentoo.org libxml++-0.21.0.ebuild:
+ Initial import. Ebuild submitted by Andre Lemos <tux@tuxslare.org>.
diff --git a/dev-cpp/libxmlpp/Manifest b/dev-cpp/libxmlpp/Manifest
new file mode 100644
index 0000000..bc00747
--- /dev/null
+++ b/dev-cpp/libxmlpp/Manifest
@@ -0,0 +1,4 @@
+DIST libxml++-2.23.1.tar.bz2 586036 RMD160 3964047fc190a6d8f5a16f0aeb4ef4de7ad787cd SHA1 272ae14ba2934f9a74258900bd7b422be4650ded SHA256 8cd184e0f7c8960a577df227308ee23401b48058848e57805c4b6f0593b84619
+EBUILD libxmlpp-2.23.1.ebuild 1056 RMD160 cad8f2f893cf656937e22cd5b0b4fb5769942e07 SHA1 c1c7983a1bf001335b5d28f3d4b56fecb0238b72 SHA256 dc822a4838429ed2d393935838109f180b9dfe5cc7236246d925812ddd1fda94
+MISC ChangeLog 9850 RMD160 99160109a286ccb7011b967acba39ebd818314ff SHA1 4061353f5197d958034c8c8427365146e8599939 SHA256 2d5ce49115018664b7d8644b972d6d118ec6950948040de83a18e64b37944995
+MISC metadata.xml 162 RMD160 e3b9e3d8ece920d890bf37c43a6bcd9757539556 SHA1 6ee3bb3e0cce43428124dfa192af30ddb055d95f SHA256 7d0ce82d5ca3b20cb1c4641c7b7aae7082fd6be059b85fab9699095fd965f2e9
diff --git a/dev-cpp/libxmlpp/libxmlpp-2.23.1.ebuild b/dev-cpp/libxmlpp/libxmlpp-2.23.1.ebuild
new file mode 100644
index 0000000..b346f92
--- /dev/null
+++ b/dev-cpp/libxmlpp/libxmlpp-2.23.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-cpp/libxmlpp/libxmlpp-2.22.0.ebuild,v 1.1 2008/04/11 16:27:57 remi Exp $
+
+inherit gnome2 eutils
+
+MY_PN="${PN/pp/++}"
+MY_P="${MY_PN}-${PV}"
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="C++ wrapper for the libxml2 XML parser library"
+HOMEPAGE="http://libxmlplusplus.sourceforge.net/"
+SRC_URI="mirror://gnome/sources/libxml++/${PV%.*}/${MY_P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="2.6"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-libs/libxml2-2.6.1
+ >=dev-cpp/glibmm-2.4"
+
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+MAKEOPTS="${MAKEOPTS} -j1"
+DOCS="AUTHORS ChangeLog NEWS README*"
+
+src_unpack() {
+ gnome2_src_unpack
+
+ # don't waste time building the examples
+ sed -i 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' Makefile.in || \
+ die "sed Makefile.in failed"
+}
+
+src_install() {
+ gnome2_src_install
+
+ rm -fr "${D}"/usr/share/doc/libxml++*
+ use doc && dohtml docs/reference/${PV%.*}/html/*
+}
diff --git a/dev-cpp/libxmlpp/metadata.xml b/dev-cpp/libxmlpp/metadata.xml
new file mode 100644
index 0000000..8fc59a3
--- /dev/null
+++ b/dev-cpp/libxmlpp/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome-mm</herd>
+</pkgmetadata>
diff --git a/dev-cpp/libxsd-frontend/Manifest b/dev-cpp/libxsd-frontend/Manifest
new file mode 100644
index 0000000..c1418ca
--- /dev/null
+++ b/dev-cpp/libxsd-frontend/Manifest
@@ -0,0 +1,2 @@
+DIST libxsd-frontend-1.13.0.tar.bz2 59249 RMD160 f16709092d49cf4e2c5fbaa2832d987ddd9ae130 SHA1 8c13ba2c0f7d711c2ef2ea95baae432a8493b1ab SHA256 eb96f105d0c2ed3363e01d2ed7bf46f1077981b2ceab41144f9b0da0e4be5b12
+EBUILD libxsd-frontend-1.13.0.ebuild 2061 RMD160 e9c82d51b9ef8faf600c83fae2027d680dd2b13a SHA1 eab2a0fb729780f89a0d5d91057319dca737e2c1 SHA256 0a95b6a31de57732dc99ec80a97ffd2065c742c2aa25a69438c31e8043dad038
diff --git a/dev-cpp/libxsd-frontend/libxsd-frontend-1.13.0.ebuild b/dev-cpp/libxsd-frontend/libxsd-frontend-1.13.0.ebuild
new file mode 100644
index 0000000..3decd7e
--- /dev/null
+++ b/dev-cpp/libxsd-frontend/libxsd-frontend-1.13.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs
+
+DESCRIPTION="A compiler frontend for the W3C XML Schema definition language."
+HOMEPAGE="http://kolpackov.net/projects/libxsd-frontend/"
+SRC_URI="http://www.codesynthesis.com/download/${PN}/${PV%.?}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=">=dev-libs/xerces-c-2.6
+ dev-libs/boost
+ dev-cpp/libcult
+ dev-cpp/libfrontend-elements"
+DEPEND="${RDEPEND}
+ dev-util/build"
+
+BUILDDIR="${WORKDIR}/build"
+
+src_compile() {
+ mkdir -p \
+ build/{c,cxx/gnu} \
+ build/import/lib{boost,cult,frontend-elements,xerces-c}
+
+ cat >> build/c/configuration-lib-dynamic.make <<- EOF
+c_lib_type := shared
+ EOF
+
+ cat >> build/cxx/configuration-dynamic.make <<- EOF
+cxx_id := gnu
+cxx_optimize := n
+cxx_debug := n
+cxx_rpath := n
+cxx_pp_extra_options :=
+cxx_extra_options := ${CXXFLAGS}
+cxx_ld_extra_options := ${LDFLAGS}
+cxx_extra_libs :=
+cxx_extra_lib_paths :=
+ EOF
+
+ cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
+cxx_gnu := $(tc-getCXX)
+cxx_gnu_libraries :=
+cxx_gnu_optimization_options :=
+ EOF
+
+ cat >> build/import/libcult/configuration-dynamic.make <<- EOF
+libcult_installed := true
+ EOF
+
+ cat >> build/import/libboost/configuration-dynamic.make <<- EOF
+libboost_installed := y
+ EOF
+
+ cat >> build/import/libfrontend-elements/configuration-dynamic.make <<- EOF
+libfrontend_elements_installed := true
+ EOF
+
+ cat >> build/import/libxerces-c/configuration-dynamic.make <<- EOF
+libxerces_c_installed := y
+ EOF
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ dolib.so xsd-frontend/libxsd-frontend.so
+
+ find xsd-frontend -iname "*.cxx" \
+ -o -iname "makefile" \
+ -o -iname "*.o" -o -iname "*.d" \
+ -o -iname "*.m4" -o -iname "*.l" \
+ -o -iname "*.cpp-options" -o -iname "*.so" | xargs rm -f
+ rm -rf xsd-frontend/arch
+
+ insinto /usr/include
+ doins -r xsd-frontend
+
+ dodoc NEWS README
+}
+
+src_test() {
+ LDPATH="${S}/xsd-frontend:${LDPATH}" emake test || die "tests failed"
+}
diff --git a/dev-cpp/xsd/Manifest b/dev-cpp/xsd/Manifest
new file mode 100644
index 0000000..ff7aabb
--- /dev/null
+++ b/dev-cpp/xsd/Manifest
@@ -0,0 +1,4 @@
+AUX 3.1.0-disable_examples.patch 802 RMD160 4955cb3989d96d8a71b9525becb26e6a48a6b143 SHA1 8485fbfe3570e81f14356d0f492d6ea850cc8cc8 SHA256 7415542f40965e53c7a11bb28fc06248a37f4897b0ed5e646b9ea247e3f6195e
+AUX 3.1.0-disable_examples_and_tests.patch 973 RMD160 55e355a6b5f54114af03bb7b64628317e9d726f8 SHA1 628e5d0700431ffd2e716c44cac3efb2902f0f1d SHA256 5c4ed9b0d9a5a5c2fc2f695f245c6d7a8e6b91ade58871cf1e1bd0820ef67edf
+DIST xsd-3.1.0.tar.bz2 815538 RMD160 2e3c73c4852f1177461fae3a16b7930703d67350 SHA1 463d69ae6304fb54ac5b4dac51d99fd4031b93cf SHA256 4898595c5c91bf244bf8e17facd671d19d2be549cf3516e623596542b39704c0
+EBUILD xsd-3.1.0.ebuild 2369 RMD160 6138f7911989a5aefd15e160aa7a3559059ef8a8 SHA1 b6d670376a6bfe056b7f2cc8867b8c3c81da2d23 SHA256 90adf683e93178c689470616a5d3cd5df5cff6c71fa3edeb5167c46060af9ff8
diff --git a/dev-cpp/xsd/files/3.1.0-disable_examples.patch b/dev-cpp/xsd/files/3.1.0-disable_examples.patch
new file mode 100644
index 0000000..68d6d4e
--- /dev/null
+++ b/dev-cpp/xsd/files/3.1.0-disable_examples.patch
@@ -0,0 +1,27 @@
+--- makefile.orig 2008-05-25 11:11:42.000000000 +0200
++++ makefile 2008-05-25 11:12:23.000000000 +0200
+@@ -13,8 +13,7 @@
+ .PHONY: $(default) $(test) $(install) $(clean)
+
+ $(default): $(out_base)/xsd/ \
+- $(out_base)/tests/ \
+- $(out_base)/examples/
++ $(out_base)/tests/
+
+ $(test): $(out_base)/tests/.test
+
+@@ -29,13 +28,11 @@
+
+
+ $(clean): $(out_base)/xsd/.clean \
+- $(out_base)/tests/.clean \
+- $(out_base)/examples/.clean
++ $(out_base)/tests/.clean
+
+ $(call include,$(bld_root)/install.make)
+
+ $(call import,$(src_base)/xsd/makefile)
+ $(call import,$(src_base)/libxsd/makefile)
+ $(call import,$(src_base)/tests/makefile)
+-$(call import,$(src_base)/examples/makefile)
+ $(call import,$(src_base)/documentation/makefile)
diff --git a/dev-cpp/xsd/files/3.1.0-disable_examples_and_tests.patch b/dev-cpp/xsd/files/3.1.0-disable_examples_and_tests.patch
new file mode 100644
index 0000000..34d1470
--- /dev/null
+++ b/dev-cpp/xsd/files/3.1.0-disable_examples_and_tests.patch
@@ -0,0 +1,31 @@
+--- makefile.orig 2008-05-25 11:11:42.000000000 +0200
++++ makefile 2008-05-25 11:13:55.000000000 +0200
+@@ -12,11 +12,7 @@
+
+ .PHONY: $(default) $(test) $(install) $(clean)
+
+-$(default): $(out_base)/xsd/ \
+- $(out_base)/tests/ \
+- $(out_base)/examples/
+-
+-$(test): $(out_base)/tests/.test
++$(default): $(out_base)/xsd/
+
+ $(install): $(out_base)/xsd/.install \
+ $(out_base)/libxsd/.install \
+@@ -28,14 +24,10 @@
+ $(call install-data,$(src_base)/README,$(install_doc_dir)/xsd/README)
+
+
+-$(clean): $(out_base)/xsd/.clean \
+- $(out_base)/tests/.clean \
+- $(out_base)/examples/.clean
++$(clean): $(out_base)/xsd/.clean
+
+ $(call include,$(bld_root)/install.make)
+
+ $(call import,$(src_base)/xsd/makefile)
+ $(call import,$(src_base)/libxsd/makefile)
+-$(call import,$(src_base)/tests/makefile)
+-$(call import,$(src_base)/examples/makefile)
+ $(call import,$(src_base)/documentation/makefile)
diff --git a/dev-cpp/xsd/xsd-3.1.0.ebuild b/dev-cpp/xsd/xsd-3.1.0.ebuild
new file mode 100644
index 0000000..92f8656
--- /dev/null
+++ b/dev-cpp/xsd/xsd-3.1.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs eutils
+
+DESCRIPTION="An open-source, cross-platform W3C XML Schema to C++ data binding compiler."
+HOMEPAGE="http://www.codesynthesis.com/products/xsd/"
+SRC_URI="http://www.codesynthesis.com/download/${PN}/${PV%.?}/${P}.tar.bz2"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+RDEPEND=">=dev-libs/xerces-c-2.6
+ dev-libs/boost
+ >=dev-cpp/libcult-1.4.0
+ >=dev-cpp/libxsd-frontend-1.13.0
+ >=dev-cpp/libbackend-elements-1.6.0"
+DEPEND="${RDEPEND}
+ dev-util/build"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${PV}-disable_examples_and_tests.patch"
+
+ sed -i \
+ -e '/GPLv2/d' \
+ -e '/LICENSE/d' \
+ -e "s|\$(install_doc_dir)/xsd|\$(install_doc_dir)/xsd-${PV}|" \
+ -e "s|\$(install_doc_dir)/libxsd|\$(install_doc_dir)/libxsd-${PV}|" \
+ makefile || die "sed failed"
+}
+
+src_compile() {
+ mkdir -p \
+ build/cxx/gnu \
+ build/import/lib{boost,cult,backend-elements,xerces-c,xsd-frontend}
+
+ cat >> build/configuration-dynamic.make <<- EOF
+xsd_with_ace := n
+xsd_with_xdr := y
+xsd_with_dbxml := n
+xsd_with_boost_date_time := y
+xsd_with_boost_serialization := y
+ EOF
+
+ cat >> build/cxx/configuration-dynamic.make <<- EOF
+cxx_id := gnu
+cxx_optimize := n
+cxx_debug := n
+cxx_rpath := n
+cxx_pp_extra_options :=
+cxx_extra_options := ${CXXFLAGS}
+cxx_ld_extra_options := ${LDFLAGS}
+cxx_extra_libs :=
+cxx_extra_lib_paths :=
+ EOF
+
+ cat >> build/cxx/gnu/configuration-dynamic.make <<- EOF
+cxx_gnu := $(tc-getCXX)
+cxx_gnu_libraries :=
+cxx_gnu_optimization_options :=
+ EOF
+
+ cat >> build/import/libcult/configuration-dynamic.make <<- EOF
+libcult_installed := true
+ EOF
+
+ cat >> build/import/libboost/configuration-dynamic.make <<- EOF
+libboost_installed := y
+ EOF
+
+ cat >> build/import/libbackend-elements/configuration-dynamic.make <<- EOF
+libbackend_elements_installed := true
+ EOF
+
+ cat >> build/import/libxerces-c/configuration-dynamic.make <<- EOF
+libxerces_c_installed := y
+ EOF
+
+ cat >> build/import/libxsd-frontend/configuration-dynamic.make <<- EOF
+libxsd_frontend_installed := true
+ EOF
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake install_prefix="${D}/usr" install || die "emake install failed"
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}